modules:
  default:
    enable::
    - lmod
    lmod:
      core_compilers:
      - gcc@8.5.0
      hierarchy:
      - mpi
      blacklist:
      - autoconf
      - automake
      - berkeley-db
      - bison
      - bzip2
      - curl
      - diffutils
      - expat
      - findutils
      - flex
      - gdbm
      - gettext
      - gmp
      - go-bootstrap
      - libbsd
      - libedit
      - libffi
      - libidn2
      - libiconv
      - libmd
      - libnl
      - libpciaccess
      - libsigsegv
      - libunistring
      - libtool
      - libxml2
      - m4
      - mpc
      - mpfr
      - ncurses
      - openssh
      - openssl
      - patchelf
      - pcre2
      - py-docutils
      - py-setuptools
      - pkgconf
      - readline
      - tar
      - util-linux-uuid
      - util-macros
      - xz
      - zlib
      whitelist:
      - gcc
      - openmpi
      - cuda
      all:
        environment:
          set:
            '{name}_ROOT': '{prefix}'
        filter:
          environment_blacklist:
          - MODULEPATH
      hash_length: 0
      projections:
        ^cuda: '{name}/{version}-{^cuda.name}-{^cuda.version}'
        ^mpi: '{name}/{version}-{^mpi.name}-{^mpi.version}'
        all: '{name}/{version}'
